Android Crashlytics plugin pas installer la bibliothèque

Lorsque vous utilisez le plugin Crashlytics dans Intellij, je suivez ces étapes.

  1. Cliquez sur le plugin sur la barre d'outils.
  2. Sélectionnez une application
  3. Autoriser les crashlytics à mettre à jour AndroidManifest.xml ainsi que ma première activité. Entrez la description de l'image ici
  4. Cliquez sur Suivant"
  5. Essayez de créer l'application au fur et à mesure que le plugin indique. Entrez la description de l'image ici

Ensuite, lorsque j'essaie de construire, j'obtiens ceci:

  • Comment puis-je désactiver Crashlytics au moment de l'exécution en réponse à un changement de préférence utilisateur?
  • Comment définissez-vous le fuseau horaire dans Crashlytics?
  • Intégrer le programme Crashlytics to library
  • La méthode obsolète de Crashlytics est désactivée ()
  • Crashlytic. Project dev est inactif
  • Crashlytics Android SDK - personnalisé UncaughtExceptionHandler
  • Package com.crashlytics.android n'existe pas Entrez la description de l'image ici

    Je regarde dans mes dépendances et ma bibliothèque et le pot ne se trouve nulle part. Qu'est-ce qui me manque, ce qui entraînerait le chargement de la bibliothèque?

  • Intégrer le programme Crashlytics to library
  • Comment puis-je désactiver Crashlytics au moment de l'exécution en réponse à un changement de préférence utilisateur?
  • Les autorisations non demandées non déclarées dans androidmanifest - crashlytics peut-être?
  • Crashlytics Android SDK - personnalisé UncaughtExceptionHandler
  • Crashlytic. Project dev est inactif
  • Échec de récupérer les paramètres des crashlytics
  • 3 Solutions collect form web for “Android Crashlytics plugin pas installer la bibliothèque”

    La configuration suivante devrait fonctionner pour les projets basés sur Gradle:

    buildscript { repositories { maven { url "http://download.crashlytics.com/maven" } } dependencies { classpath "com.crashlytics.tools.gradle:crashlytics-gradle:1.+" } } apply plugin: "crashlytics" repositories { maven { url "http://download.crashlytics.com/maven" } } dependencies { compile "com.crashlytics.android:crashlytics:1.1.+" } 

    Extrait de https://crashlytics.com/downloads/gradle

    J'ai résolu cela en suivant les instructions maven ici https://crashlytics.com/downloads/maven , puis en saisissant le pot de mon .m2 et en le mettant dans mon dossier libs. (Ce projet particulier a été lancé comme un projet maven, alors Maven a été abandonné et il n'a pas encore été migré vers Gradle, donc nous sommes dans les terres sans homme). Quoi qu'il en soit, j'ai maintenant le pot.

    Après la configuration automatisée à partir du studio Android, je manquais cette ligne:

    compile 'com.crashlytics.android:crashlytics:1.1.+'

    coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.